LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | List of all members
ContentHandler Service Referencepublished

special dispatcher for non visible contents, e.g. More...

`import"ContentHandler.idl";`

Inheritance diagram for ContentHandler:

## Exported Interfaces
interface | XNotifyingDispatch
| provides handling of dispatches with defined result state More...

## Additional Inherited Members
Public Member Functions inherited from XNotifyingDispatch
void | dispatchWithNotification ([in] com::sun::star::util::URL URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments, [in] XDispatchResultListener Listener)
| Do the same like XDispatch::dispatch() but notifies listener in every case. More...
Public Member Functions inherited from XDispatch
void | dispatch ([in] com::sun::star::util::URL URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments)
| dispatches (executes) a URL More...
void | addStatusListener ([in] XStatusListener Control, [in] com::sun::star::util::URL URL)
| registers a listener of a control for a specific URL at this object to receive status events. More...
void | removeStatusListener ([in] XStatusListener Control, [in] com::sun::star::util::URL URL)
| unregisters a listener from a control. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

special dispatcher for non visible contents, e.g.

sounds

This handler doesn't need any frame as target for loading components. Content handler are registered for content types. (See type/filter configuration of com::sun::star::document::TypeDetection for further information) If generic load mechanism found such documents which can be handled by a ContentHandler it will create and use it.

See also
  com::sun::star::document::TypeDetection

## Exported Interfaces

## ◆ XNotifyingDispatch

interface XNotifyingDispatch

provides handling of dispatches with defined result state

Base interface of XNotifyingDispatch is XDispatch and can be called for requests if result isn't necessary for dispatch operation.

See also
  XDispatch

The documentation for this service was generated from the following file:

- com/sun/star/frame/ContentHandler.idl